Bug 1660440 - Review Request: wl-clipboard - Command-line copy/paste utilities for Wayland
Summary: Review Request: wl-clipboard - Command-line copy/paste utilities for Wayland
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 10:36 UTC by Marc-Andre Lureau
Modified: 2019-03-15 13:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Marc-Andre Lureau 2018-12-18 10:36:16 UTC
Spec URL: https://elmarco.fedorapeople.org/wl-clipboard.spec
SRPM URL: https://elmarco.fedorapeople.org/wl-clipboard-1.0.0-0.20181215git7e5103c.fc29.src.rpm
Description: 
Little Wayland clipboard utilities, wl-copy and wl-paste, that let you
easily copy data between the clipboard and Unix pipes, sockets, files
and so on.
Fedora Account System Username: elmarco

Comment 1 Robert-André Mauchin 2019-02-08 19:15:54 UTC
 - Glob the .gz as the compression might change in the future:

%{_mandir}/man1/wl-clipboard.1.gz
%{_mandir}/man1/wl-copy.1.gz
%{_mandir}/man1/wl-paste.1.gz

 - The license should be: GPLv3+

 - The Release should start with 0.1

Release:        0.1.%{gitdate}git%{gitshortcommit}%{?dist}

 - You need to specify the Version-Release in your %changelog entry



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "NTP License (legal disclaimer)", "GPL (v3 or later)", "Unknown
     or generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/wl-clipboard/review-wl-
     clipboard/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in wl-
     clipboard-debuginfo , wl-clipboard-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wl-clipboard-1.0.0-0.20181215git7e5103c.fc30.x86_64.rpm
          wl-clipboard-debuginfo-1.0.0-0.20181215git7e5103c.fc30.x86_64.rpm
          wl-clipboard-debugsource-1.0.0-0.20181215git7e5103c.fc30.x86_64.rpm
          wl-clipboard-1.0.0-0.20181215git7e5103c.fc30.src.rpm
wl-clipboard.x86_64: W: no-version-in-last-changelog
wl-clipboard.x86_64: W: invalid-license GPL3
wl-clipboard-debuginfo.x86_64: W: no-version-in-last-changelog
wl-clipboard-debuginfo.x86_64: W: invalid-license GPL3
wl-clipboard-debugsource.x86_64: W: no-version-in-last-changelog
wl-clipboard-debugsource.x86_64: W: invalid-license GPL3
wl-clipboard.src: W: no-version-in-last-changelog
wl-clipboard.src: W: invalid-license GPL3
4 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 2 Marc-Andre Lureau 2019-02-09 09:45:35 UTC
thanks for the review! updated spec+srpm

Comment 3 Robert-André Mauchin 2019-03-15 03:16:47 UTC
Package approved.

Comment 4 Gwyn Ciesla 2019-03-15 13:49:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wl-clipboard


Note You need to log in before you can comment on or make changes to this bug.